module tileconsumer;

import dsfml.window.all;
import dsfml.system.all;
import dsfml.graphics.all;

import consumer;
import renderer;
import tileset;
import tilemap;

class TileConsumer : Consumer {
    public Tilemap map;

    this(Renderer renderer, Tilemap map) {
	super(renderer);
	this.map = map;
    }

    void draw() {
	 foreach(Sprite sprite; this.map.get_sprites()) {
	    this.app.draw(sprite);
	 }
    }
}
